summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ros/rqt_plot/rqt_plot-0.4.3.ebuild')
-rw-r--r--dev-ros/rqt_plot/rqt_plot-0.4.3.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-ros/rqt_plot/rqt_plot-0.4.3.ebuild b/dev-ros/rqt_plot/rqt_plot-0.4.3.ebuild
new file mode 100644
index 00000000000..3417a23c204
--- /dev/null
+++ b/dev-ros/rqt_plot/rqt_plot-0.4.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+ROS_REPO_URI="https://github.com/ros-visualization/rqt_common_plugins"
+PYTHON_COMPAT=( python2_7 )
+ROS_SUBDIR=${PN}
+
+inherit ros-catkin
+
+DESCRIPTION="GUI plugin visualizing numeric values in a 2D plot"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ || ( dev-python/matplotlib[${PYTHON_USEDEP}] dev-python/pyqwt:5[${PYTHON_USEDEP}] )
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-ros/qt_gui_py_common[${PYTHON_USEDEP}]
+ dev-ros/rosgraph[${PYTHON_USEDEP}]
+ dev-ros/rostopic[${PYTHON_USEDEP}]
+ dev-ros/rqt_gui[${PYTHON_USEDEP}]
+ dev-ros/rqt_gui_py[${PYTHON_USEDEP}]
+ dev-ros/rqt_py_common[${PYTHON_USEDEP}]
+ dev-ros/roslib[${PYTHON_USEDEP}]
+ >=dev-ros/python_qt_binding-0.2.19[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"